---
type: api
title: Schedule a snooze for the rule
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-post-alerting-rule-id-snooze-schedule
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-post-alerting-rule-id-snooze-schedule
products:
  - Kibana
---

# Schedule a snooze for the rule

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/alerting/rule/{id}/snooze_schedule`
- `POST` `/s/{space_id}/api/alerting/rule/{id}/snooze_schedule`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `id` (string)
  Identifier of the rule.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

When you snooze a rule, the rule checks continue to run but alerts will not generate actions. You can snooze for a specified period of time and schedule single or recurring downtimes.

## Request Body

`application/json`

- `schedule` (object) — required
  - `custom` (object) — optional
    - `duration` (string) — required
      The duration of the schedule. It allows values in `<integer><unit>` format. `<unit>` is one of `d`, `h`, `m`, or `s` for hours, minutes, seconds. For example: `1d`, `5h`, `30m`, `5000s`.
    - `recurring` (object) — optional
      - `end` (string) — optional
        The end date of a recurring schedule, provided in ISO 8601 format and set to the UTC timezone. For example: `2025-04-01T00:00:00.000Z`.
      - `every` (string) — optional
        The interval and frequency of a recurring schedule. It allows values in `<integer><unit>` format. `<unit>` is one of `d`, `w`, `M`, or `y` for days, weeks, months, years. For example: `15d`, `2w`, `3m`, `1y`.
      - `occurrences` (number · min: 1) — optional
        The total number of recurrences of the schedule.
      - `onMonth` ([] number · min: 1) — optional
        The specific months for a recurring schedule. Valid values are 1-12.
      - `onMonthDay` ([] number · min: 1) — optional
        The specific days of the month for a recurring schedule. Valid values are 1-31.
      - `onWeekDay` ([] string · min: 1) — optional
        The specific days of the week (`[MO,TU,WE,TH,FR,SA,SU]`) or nth day of month (`[+1MO, -3FR, +2WE, -4SA, -5SU]`) for a recurring schedule.
    - `start` (string) — required
      The start date and time of the schedule, provided in ISO 8601 format and set to the UTC timezone. For example: `2025-03-12T12:00:00.000Z`.
    - `timezone` (string) — optional
      The timezone of the schedule. The default timezone is UTC.

## Responses

#### `200`

Indicates a successful call.

`application/json`

- `body` (object)
  - `schedule` (object)
    - `custom` (object)
      - `duration` (string)
        The duration of the schedule. It allows values in `<integer><unit>` format. `<unit>` is one of `d`, `h`, `m`, or `s` for hours, minutes, seconds. For example: `1d`, `5h`, `30m`, `5000s`.
      - `recurring` (object)
        - `end` (string)
          The end date of a recurring schedule, provided in ISO 8601 format and set to the UTC timezone. For example: `2025-04-01T00:00:00.000Z`.
        - `every` (string)
          The interval and frequency of a recurring schedule. It allows values in `<integer><unit>` format. `<unit>` is one of `d`, `w`, `M`, or `y` for days, weeks, months, years. For example: `15d`, `2w`, `3m`, `1y`.
        - `occurrences` (number · min: 1)
          The total number of recurrences of the schedule.
        - `onMonth` ([] number · min: 1)
          The specific months for a recurring schedule. Valid values are 1-12.
        - `onMonthDay` ([] number · min: 1)
          The specific days of the month for a recurring schedule. Valid values are 1-31.
        - `onWeekDay` ([] string · min: 1)
          The specific days of the week (`[MO,TU,WE,TH,FR,SA,SU]`) or nth day of month (`[+1MO, -3FR, +2WE, -4SA, -5SU]`) for a recurring schedule.
      - `start` (string)
        The start date and time of the schedule, provided in ISO 8601 format and set to the UTC timezone. For example: `2025-03-12T12:00:00.000Z`.
      - `timezone` (string)
        The timezone of the schedule. The default timezone is UTC.
    - `id` (string)
      Identifier of the snooze schedule.
#### `400`

Indicates an invalid schema.

#### `403`

Indicates that this call is forbidden.

#### `404`

Indicates a rule with the given id does not exist.

## Code Examples

#### Console

```console
POST /api/alerting/rule/{id}/snooze_schedule
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/alerting/rule/{id}/snooze_schedule" \
  -H "kbn-xsrf: true"
```

